//Devuelve el id de creador de la aplicacin actual
UInt32 getCurrentCreatorId(void){
	LocalID lid;
	UInt16 cardNo;
	UInt32 crid;

	if (SysCurAppDatabaseV40(&cardNo, &lid) != errNone){
		return false;
	}
	if (DmDatabaseInfoV40(cardNo, lid, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, &crid) != errNone){
		return false;
	}
	return crid;
}

//Indica si debemos activarnos para esta aplicacin
Boolean ActivatedForCreator( UInt32 creator )
{
    UInt16  size;
    UInt32* list;
    UInt16  numCreatorIds;
    UInt16  i;
    Boolean active;

    size = 0;

    if ( noPreferenceFound ==
             PrefGetAppPreferences( MY_CRID, PREF_CREATOR_ID_LIST,
             NULL, &size, true ) ) {
        switch ( creator ) {
          case DEFAULT_CRID_1:
          case DEFAULT_CRID_2:
          case DEFAULT_CRID_3:
          case DEFAULT_CRID_4:
               return false;
          default:
               return true;
        }
    }

    numCreatorIds = size / sizeof( UInt32 );

    if ( numCreatorIds == 0 )
        return false;

    size = sizeof( UInt32 ) * numCreatorIds;
    list = MemPtrNew( size );

    if ( list == NULL )
        return false;

    PrefGetAppPreferences( MY_CRID, PREF_CREATOR_ID_LIST,
        list, &size, true );

    active = true;

    creator = ByteSwap32( creator );
    
    for ( i = 0 ; i < numCreatorIds ; i++ ) {
        if ( list[ i ] == creator ) {
            active = false;
            break;
        }
    }

    MemPtrFree( list );

    return active;
}


