#include <Standalone.h>
#include "../Include/endianutils.h"
#include "../Include/palmos5.h"

#define RESID 1000

STANDALONE_CODE_RESOURCE_TYPESTR_ID("armc", RESID);

#include "TXId.h"
#include "VFSLite.h"

static UInt32 getCurrentCreatorId(void);

static Boolean ActivatedForCreator( UInt32 creator );

typedef Err (*pfnVFSVolumeInfo)(UInt16 volRefNum, VolumeInfoType *volInfoP);

Err MyVFSVolumeInfo(UInt16 volRefNum, VolumeInfoType *volInfoP) {
	pfnVFSVolumeInfo oldTrap;
	Err err;
	UInt32 currCreatorId;
	
	FtrGet(MY_CRID, RESID, (UInt32 *)&oldTrap);
	
	err = oldTrap(volRefNum, volInfoP);
	
	//Si no han habido errores, y estamos pidiendo info del volumen 1...
	if (err == errNone && volRefNum == BUILTIN_REF) {
		
		currCreatorId = getCurrentCreatorId();
		
		if (ActivatedForCreator(currCreatorId))
		{
			volInfoP->attributes = vfsVolumeAttrNonRemovable;
			//Marcar el volumen 1 como no-removible (quitando de paso el atributo de "Oculto").
		}		
	}

	return err;
}

#include "Activated.c"
